com.lowagie.text

## Class SpecialSymbol

- java.lang.Object
- - com.lowagie.text.SpecialSymbol

-     public class SpecialSymbol
      extends java.lang.Object

  This class contains the symbols that correspond with special symbols.

  When you construct a `Phrase` with Phrase.getInstance using a `String`, this `String` can contain special Symbols. These are characters with an int value between 913 and 937 (except 930) and between 945 and 969. With this class the value of the corresponding character of the Font Symbol, can be retrieved.

  Author:
    Bruno Lowagie, Evelyne De Cordier
  See Also:
    `Phrase`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpecialSymbol()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Chunk` | `get(char c, Font font)` Gets a chunk with a symbol character.
    `static char` | `getCorrespondingSymbol(char c)` Looks for the corresponding symbol in the font Symbol.
    `static int` | `index(java.lang.String string)` Returns the first occurrence of a special symbol in a `String`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpecialSymbol

          public SpecialSymbol()

  - ### Method Detail

    - #### index

          public static int index(java.lang.String string)

      Returns the first occurrence of a special symbol in a `String`.
      Parameters:
        `string` - a `String`
      Returns:
        an index of -1 if no special symbol was found

    - #### get

          public static Chunk get(char c,
                  Font font)

      Gets a chunk with a symbol character.
      Parameters:
        `c` - a character that has to be changed into a symbol
        `font` - Font if there is no SYMBOL character corresponding with c
      Returns:
        a SYMBOL version of a character

    - #### getCorrespondingSymbol

          public static char getCorrespondingSymbol(char c)

      Looks for the corresponding symbol in the font Symbol.
      Parameters:
        `c` - the original ASCII-char
      Returns:
        the corresponding symbol in font Symbol